### Method

# St Entry get_text

#### Declaration [src]

    const gchar*
    st_entry_get_text (
      StEntry* entry
    )

#### Description [src]

Get the text displayed on the entry. If `entry` is empty, an empty string will be returned instead of `NULL`.

Gets property | `St.Entry:text`

#### Return value

Type: `const gchar*`

The text for the entry.

The returned data is owned by the instance.
The value is a NUL terminated UTF-8 string.